# Uses of Interface
org.eclipse.equinox.p2.metadata.expression.IContextExpression

Packages that use IContextExpression
Package
Description
org.eclipse.equinox.p2.metadata.expression
Provides a simple expression language used to represent requirements and filters in the metadada
org.eclipse.equinox.p2.query
Provides common classes for the query mechanism.

## Uses of IContextExpression in org.eclipse.equinox.p2.metadata.expression

Methods in org.eclipse.equinox.p2.metadata.expression that return IContextExpression
Modifier and Type
Method
Description
`<T> IContextExpression<T>`
IExpressionFactory.`contextExpression(IExpression expr, Object... parameters)`
Creates a top level expression that represents a full query.

## Uses of IContextExpression in org.eclipse.equinox.p2.query

Methods in org.eclipse.equinox.p2.query that return IContextExpression
Modifier and Type
Method
Description
`static <T> IContextExpression<T>`
ExpressionQuery.`createExpression(IQuery<T> query)`
`IContextExpression<T>`
ExpressionQuery.`getExpression()`